package com.zhongshu.card.client.type;

import lombok.Getter;

import java.util.Arrays;

public enum Sex {
    Male("男"),
    Female("女"),
    Neuter("中性");

    @Getter
    private String remark;

    Sex(String remark) {
        this.remark = remark;
    }

    public static Sex buildFromRemark(String remark) {
        return Arrays.stream(Sex.values()).filter(it -> it.getRemark().equals(remark)).findFirst().get();
    }
}
